package kr.co.icontrols.ilp300_700.admin.setting;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.widget.RelativeLayout;

import kr.co.icontrols.ilp300_700.MainActivity;
import kr.co.icontrols.ilp300_700.R;
import kr.co.icontrols.ilp300_700.ethernet.EthernetCtrl;
import kr.co.icontrols.ilp300_700.global.Configure.ConfigValKey;
import kr.co.icontrols.ilp300_700.global.Configure.ConfigValue;
import kr.co.icontrols.ilp300_700.global.DataClasses.POSITION;
import kr.co.icontrols.ilp300_700.global.Declare;
import kr.co.icontrols.ilp300_700.global.Enumeration.DATAINPUTSTEP;
import kr.co.icontrols.ilp300_700.global.Global;
import kr.co.icontrols.ilp300_700.global.ID;
import kr.co.icontrols.wallpadsupport.WpadImageView;
import kr.co.icontrols.wallpadsupport.WpadScreen;
import kr.co.icontrols.wallpadsupport.WpadTextView;

public class AdminSet_Setting_SetIPManually extends WpadScreen {

    String TAG = "AdminSet_Setting_SetIPManually";

    boolean bLOG = true;   // true, false
    boolean bLOG_DEBUG = false;   // true, false
    boolean bLOG_INFO = false;   // true, false
    Context mContext;
    WpadImageView Image_Background;
    WpadTextView Text_Title;
    WpadTextView Text_Line_01_Item;
    WpadTextView Text_Line_02_Item;
    WpadTextView Text_Line_03_Item;
    WpadTextView Text_Line_04_Item;
    WpadTextView Text_Line_05_Item;
    WpadTextView Text_Line_06_Item;
    WpadTextView Text_Line_07_Item;
    WpadTextView Text_Line_08_Item;
    WpadTextView Text_Line_09_Item;
    WpadTextView Text_Line_10_Item;
    WpadTextView Text_Line_11_Item;
    WpadTextView Text_Line_12_Item;
    WpadTextView Text_Line_13_Item;
    WpadTextView Text_Line_14_Item;
    WpadTextView Text_Line_15_Item;
    WpadTextView Text_Line_16_Item;
    WpadTextView Text_Line_17_Item;
    WpadTextView Text_Line_18_Item;
    WpadTextView Text_Line_01_Input;
    WpadTextView Text_Line_02_Input;
    WpadTextView Text_Line_03_Input;
    WpadTextView Text_Line_04_Input;
    WpadTextView Text_Line_05_Input;
    WpadTextView Text_Line_06_Input;
    WpadTextView Text_Line_07_Input;
    WpadTextView Text_Line_08_Input;
    WpadTextView Text_Line_09_Input;
    WpadTextView Text_Line_10_Input;
    WpadTextView Text_Line_11_Input;
    WpadTextView Text_Line_12_Input;
    int TextColor_Normal = Color.WHITE;
    int TextColor_Highlight = Color.GREEN;
    int nFontSize_Instruction = 28;
    boolean bFontNonBold = false;
    boolean bFontBold = true;
    String strText_Title = "IP 수동설정";
    String strText_Line_01_Item = "IP";
    String strText_Line_02_Item = "S/M";
    String strText_Line_03_Item = "G/W";
    String strText_Line_04_Item = "[ ";
    String strText_Line_05_Item = ".";
    String strText_Line_06_Item = ".";
    String strText_Line_07_Item = ".";
    String strText_Line_08_Item = " ]";
    String strText_Line_09_Item = "[ ";
    String strText_Line_10_Item = ".";
    String strText_Line_11_Item = ".";
    String strText_Line_12_Item = ".";
    String strText_Line_13_Item = " ]";
    String strText_Line_14_Item = "[ ";
    String strText_Line_15_Item = ".";
    String strText_Line_16_Item = ".";
    String strText_Line_17_Item = ".";
    String strText_Line_18_Item = " ]";
    String strText_Line_01_Input = "";
    String strText_Line_02_Input = "";
    String strText_Line_03_Input = "";
    String strText_Line_04_Input = "";
    String strText_Line_05_Input = "";
    String strText_Line_06_Input = "";
    String strText_Line_07_Input = "";
    String strText_Line_08_Input = "";
    String strText_Line_09_Input = "";
    String strText_Line_10_Input = "";
    String strText_Line_11_Input = "";
    String strText_Line_12_Input = "";
    String Temp_01_Input = "";
    String Temp_02_Input = "";
    String Temp_03_Input = "";
    String Temp_04_Input = "";
    String Temp_05_Input = "";
    String Temp_06_Input = "";
    String Temp_07_Input = "";
    String Temp_08_Input = "";
    String Temp_09_Input = "";
    String Temp_10_Input = "";
    String Temp_11_Input = "";
    String Temp_12_Input = "";
    public AdminSet_Setting_SetIPManually(Context context, RelativeLayout layout) {
        super(context, layout);
        try {
            LOG("------------------ [START - AdminSet_Setting_SetIPManually] -------------------");

            mContext = context;
            Initialize();

            Image_Background = new WpadImageView(context, 0, Declare.DeviceInfo.getScreenSizeFullW(ConfigValue.DEVICE_MODELTYPE), Declare.DeviceInfo.getScreenSizeFullH(ConfigValue.DEVICE_MODELTYPE), R.drawable.bg_back, 0, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.IMAGES.BACKGROUND);
            ViewRegistration(layout, Image_Background, 0, 0);

            Text_Title = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.TITLE).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.TITLE).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.TITLE);
            ViewRegistration(layout, Text_Title, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.TITLE).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.TITLE).Y);
            Text_Title.setText(strText_Title);

            Text_Line_01_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Item);
            ViewRegistration(layout, Text_Line_01_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Item).Y);
            Text_Line_01_Item.setText(strText_Line_01_Item);

            Text_Line_02_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Item);
            ViewRegistration(layout, Text_Line_02_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Item).Y);
            Text_Line_02_Item.setText(strText_Line_02_Item);

            Text_Line_03_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Item);
            ViewRegistration(layout, Text_Line_03_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Item).Y);
            Text_Line_03_Item.setText(strText_Line_03_Item);

            Text_Line_04_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Item);
            ViewRegistration(layout, Text_Line_04_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Item).Y);
            Text_Line_04_Item.setText(strText_Line_04_Item);

            Text_Line_05_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Item);
            ViewRegistration(layout, Text_Line_05_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Item).Y);
            Text_Line_05_Item.setText(strText_Line_05_Item);

            Text_Line_06_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Item);
            ViewRegistration(layout, Text_Line_06_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Item).Y);
            Text_Line_06_Item.setText(strText_Line_06_Item);

            Text_Line_07_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Item);
            ViewRegistration(layout, Text_Line_07_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Item).Y);
            Text_Line_07_Item.setText(strText_Line_07_Item);

            Text_Line_08_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Item);
            ViewRegistration(layout, Text_Line_08_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Item).Y);
            Text_Line_08_Item.setText(strText_Line_08_Item);

            Text_Line_09_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Item);
            ViewRegistration(layout, Text_Line_09_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Item).Y);
            Text_Line_09_Item.setText(strText_Line_09_Item);

            Text_Line_10_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Item);
            ViewRegistration(layout, Text_Line_10_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Item).Y);
            Text_Line_10_Item.setText(strText_Line_10_Item);

            Text_Line_11_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Item);
            ViewRegistration(layout, Text_Line_11_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Item).Y);
            Text_Line_11_Item.setText(strText_Line_11_Item);

            Text_Line_12_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Item);
            ViewRegistration(layout, Text_Line_12_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Item).Y);
            Text_Line_12_Item.setText(strText_Line_12_Item);

            Text_Line_13_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_13_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_13_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_13_Item);
            ViewRegistration(layout, Text_Line_13_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_13_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_13_Item).Y);
            Text_Line_13_Item.setText(strText_Line_13_Item);

            Text_Line_14_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_14_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_14_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_14_Item);
            ViewRegistration(layout, Text_Line_14_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_14_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_14_Item).Y);
            Text_Line_14_Item.setText(strText_Line_14_Item);

            Text_Line_15_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_15_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_15_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_15_Item);
            ViewRegistration(layout, Text_Line_15_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_15_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_15_Item).Y);
            Text_Line_15_Item.setText(strText_Line_15_Item);

            Text_Line_16_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_16_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_16_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_16_Item);
            ViewRegistration(layout, Text_Line_16_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_16_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_16_Item).Y);
            Text_Line_16_Item.setText(strText_Line_16_Item);

            Text_Line_17_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_17_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_17_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_17_Item);
            ViewRegistration(layout, Text_Line_17_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_17_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_17_Item).Y);
            Text_Line_17_Item.setText(strText_Line_17_Item);

            Text_Line_18_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_18_Item).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_18_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_18_Item);
            ViewRegistration(layout, Text_Line_18_Item, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_18_Item).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_18_Item).Y);
            Text_Line_18_Item.setText(strText_Line_18_Item);

            Text_Line_01_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Input);
            ViewRegistration(layout, Text_Line_01_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Input).Y);
            Text_Line_01_Input.setText(strText_Line_01_Input);

            Text_Line_02_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Input);
            ViewRegistration(layout, Text_Line_02_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Input).Y);
            Text_Line_02_Input.setText(strText_Line_02_Input);

            Text_Line_03_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Input);
            ViewRegistration(layout, Text_Line_03_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Input).Y);
            Text_Line_03_Input.setText(strText_Line_03_Input);

            Text_Line_04_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Input);
            ViewRegistration(layout, Text_Line_04_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Input).Y);
            Text_Line_04_Input.setText(strText_Line_04_Input);

            Text_Line_05_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Input);
            ViewRegistration(layout, Text_Line_05_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Input).Y);
            Text_Line_05_Input.setText(strText_Line_05_Input);

            Text_Line_06_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Input);
            ViewRegistration(layout, Text_Line_06_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Input).Y);
            Text_Line_06_Input.setText(strText_Line_06_Input);

            Text_Line_07_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Input);
            ViewRegistration(layout, Text_Line_07_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Input).Y);
            Text_Line_07_Input.setText(strText_Line_07_Input);

            Text_Line_08_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Input);
            ViewRegistration(layout, Text_Line_08_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Input).Y);
            Text_Line_08_Input.setText(strText_Line_08_Input);

            Text_Line_09_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Input);
            ViewRegistration(layout, Text_Line_09_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Input).Y);
            Text_Line_09_Input.setText(strText_Line_09_Input);

            Text_Line_10_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Input);
            ViewRegistration(layout, Text_Line_10_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Input).Y);
            Text_Line_10_Input.setText(strText_Line_10_Input);

            Text_Line_11_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Input);
            ViewRegistration(layout, Text_Line_11_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Input).Y);
            Text_Line_11_Input.setText(strText_Line_11_Input);

            Text_Line_12_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Input).W, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Input);
            ViewRegistration(layout, Text_Line_12_Input, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Input).X, getPosition(ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Input).Y);
            Text_Line_12_Input.setText(strText_Line_12_Input);

            UpdateScreen();
            ((MainActivity) mContext).setAutoScreenChange(ID.SCREENS.Main, MainActivity.nAdminScreenTimeout);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] AdminSet_Setting_SetIPManually(...) : " + e);
            e.printStackTrace();
        }
    }

    private void LOG(String log) {
        if (bLOG) Log.v(TAG, log);
    }

    private void LOG_DEBUG(String log) {
        if (bLOG_DEBUG) Log.d(TAG, log);
    }

    private void LOG_INFO(String log) {
        if (bLOG_INFO) Log.i(TAG, log);
    }

    protected void Initialize() {
        try {
//          LOG("[Initialize] Start!!");
            setInitValue();
        } catch (Exception e) {
            Log.e(TAG, "[Exception] Initialize() : " + e);
            e.printStackTrace();
        }
    }

    @Override
    protected void onClose() {
        try {
            LOG("------------------ [onClose - AdminSet_Setting_SetIPManually] -------------------");
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onClose() : " + e);
            e.printStackTrace();
        }
        super.onClose();
    }

    @Override
    protected void onBrReceive(Intent intent) {
        try {
            LOG("[onBrReceive] Intent : " + intent);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onBrReceive(...) : " + e);
            e.printStackTrace();
        }
        super.onBrReceive(intent);
    }

    @Override
    protected void onKeyDown(int keyCode, KeyEvent event) {
        try {
//            LOG("[onKeyDown] keyCode [" + keyCode + "], event [" + event + "]");
            if (Declare.Button.NUMBER_00 <= keyCode && keyCode <= Declare.Button.NUMBER_09) {
                if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                    strText_Line_01_Input += keyCode - 7;

                    if (strText_Line_01_Input.length() > 3) {
                        strText_Line_01_Input = strText_Line_01_Input.substring(1);
                    }
                    strText_Line_01_Input = String.valueOf(Integer.parseInt(strText_Line_01_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                    strText_Line_02_Input += keyCode - 7;

                    if (strText_Line_02_Input.length() > 3) {
                        strText_Line_02_Input = strText_Line_02_Input.substring(1);
                    }
                    strText_Line_02_Input = String.valueOf(Integer.parseInt(strText_Line_02_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_03) {
                    strText_Line_03_Input += keyCode - 7;

                    if (strText_Line_03_Input.length() > 3) {
                        strText_Line_03_Input = strText_Line_03_Input.substring(1);
                    }
                    strText_Line_03_Input = String.valueOf(Integer.parseInt(strText_Line_03_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_04) {
                    strText_Line_04_Input += keyCode - 7;

                    if (strText_Line_04_Input.length() > 3) {
                        strText_Line_04_Input = strText_Line_04_Input.substring(1);
                    }
                    strText_Line_04_Input = String.valueOf(Integer.parseInt(strText_Line_04_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_05) {
                    strText_Line_05_Input += keyCode - 7;

                    if (strText_Line_05_Input.length() > 3) {
                        strText_Line_05_Input = strText_Line_05_Input.substring(1);
                    }
                    strText_Line_05_Input = String.valueOf(Integer.parseInt(strText_Line_05_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_06) {
                    strText_Line_06_Input += keyCode - 7;

                    if (strText_Line_06_Input.length() > 3) {
                        strText_Line_06_Input = strText_Line_06_Input.substring(1);
                    }
                    strText_Line_06_Input = String.valueOf(Integer.parseInt(strText_Line_06_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_07) {
                    strText_Line_07_Input += keyCode - 7;

                    if (strText_Line_07_Input.length() > 3) {
                        strText_Line_07_Input = strText_Line_07_Input.substring(1);
                    }
                    strText_Line_07_Input = String.valueOf(Integer.parseInt(strText_Line_07_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_08) {
                    strText_Line_08_Input += keyCode - 7;

                    if (strText_Line_08_Input.length() > 3) {
                        strText_Line_08_Input = strText_Line_08_Input.substring(1);
                    }
                    strText_Line_08_Input = String.valueOf(Integer.parseInt(strText_Line_08_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_09) {
                    strText_Line_09_Input += keyCode - 7;

                    if (strText_Line_09_Input.length() > 3) {
                        strText_Line_09_Input = strText_Line_09_Input.substring(1);
                    }
                    strText_Line_09_Input = String.valueOf(Integer.parseInt(strText_Line_09_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_10) {
                    strText_Line_10_Input += keyCode - 7;

                    if (strText_Line_10_Input.length() > 3) {
                        strText_Line_10_Input = strText_Line_10_Input.substring(1);
                    }
                    strText_Line_10_Input = String.valueOf(Integer.parseInt(strText_Line_10_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_11) {
                    strText_Line_11_Input += keyCode - 7;

                    if (strText_Line_11_Input.length() > 3) {
                        strText_Line_11_Input = strText_Line_11_Input.substring(1);
                    }
                    strText_Line_11_Input = String.valueOf(Integer.parseInt(strText_Line_11_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_12) {
                    strText_Line_12_Input += keyCode - 7;

                    if (strText_Line_12_Input.length() > 3) {
                        strText_Line_12_Input = strText_Line_12_Input.substring(1);
                    }
                    strText_Line_12_Input = String.valueOf(Integer.parseInt(strText_Line_12_Input));
                }
                UpdateScreen();
            } else if (keyCode == Declare.Button.STAR) {
                if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                    if (checkValueValidity(strText_Line_01_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_02;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_01_Input = Temp_01_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                    if (checkValueValidity(strText_Line_02_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_03;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_02_Input = Temp_02_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_03) {
                    if (checkValueValidity(strText_Line_03_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_04;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_03_Input = Temp_03_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_04) {
                    if (checkValueValidity(strText_Line_04_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_05;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_04_Input = Temp_04_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_05) {
                    if (checkValueValidity(strText_Line_05_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_06;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_05_Input = Temp_05_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_06) {
                    if (checkValueValidity(strText_Line_06_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_07;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_06_Input = Temp_06_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_07) {
                    if (checkValueValidity(strText_Line_07_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_08;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_07_Input = Temp_07_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_08) {
                    if (checkValueValidity(strText_Line_08_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_09;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_08_Input = Temp_08_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_09) {
                    if (checkValueValidity(strText_Line_09_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_10;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_09_Input = Temp_09_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_10) {
                    if (checkValueValidity(strText_Line_10_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_11;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_10_Input = Temp_10_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_11) {
                    if (checkValueValidity(strText_Line_11_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_12;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_11_Input = Temp_11_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_12) {
                    if (checkValueValidity(strText_Line_12_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_01;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_12_Input = Temp_12_Input;
                    }
                }
                UpdateScreen();
            } else if (keyCode == Declare.Button.GUARD) {
                // 설정정보를 저장하는 기능을 정의한다.
                if (setIPManually(strText_Line_01_Input, strText_Line_02_Input, strText_Line_03_Input, strText_Line_04_Input,
                        strText_Line_05_Input, strText_Line_06_Input, strText_Line_07_Input, strText_Line_08_Input,
                        strText_Line_09_Input, strText_Line_10_Input, strText_Line_11_Input, strText_Line_12_Input)) {
                    MainActivity.mSound.PlayMent_lobby(R.raw.setting);
                    super.setChangeScreen(ID.SCREENS.Reboot);
                } else {
                    MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                }
            } else if (keyCode == Declare.Button.CANCEL || keyCode == Declare.Button.TACT_CANCEL) {
                super.setChangeScreen(ID.SCREENS.AdminSet_Setting);
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onKeyDown(...) : " + e);
            e.printStackTrace();
        }
        super.onKeyDown(keyCode, event);
    }

    protected void UpdateScreen() {
//        LOG("[updateScreen] Start!!");
        try {
            if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                Text_Line_01_Input.setText(strText_Line_01_Input);

                Text_Line_12_Input.setTextColor(TextColor_Normal);
                Text_Line_01_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                Text_Line_02_Input.setText(strText_Line_02_Input);

                Text_Line_01_Input.setTextColor(TextColor_Normal);
                Text_Line_02_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_03) {
                Text_Line_03_Input.setText(strText_Line_03_Input);

                Text_Line_02_Input.setTextColor(TextColor_Normal);
                Text_Line_03_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_04) {
                Text_Line_04_Input.setText(strText_Line_04_Input);

                Text_Line_03_Input.setTextColor(TextColor_Normal);
                Text_Line_04_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_05) {
                Text_Line_05_Input.setText(strText_Line_05_Input);

                Text_Line_04_Input.setTextColor(TextColor_Normal);
                Text_Line_05_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_06) {
                Text_Line_06_Input.setText(strText_Line_06_Input);

                Text_Line_05_Input.setTextColor(TextColor_Normal);
                Text_Line_06_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_07) {
                Text_Line_07_Input.setText(strText_Line_07_Input);

                Text_Line_06_Input.setTextColor(TextColor_Normal);
                Text_Line_07_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_08) {
                Text_Line_08_Input.setText(strText_Line_08_Input);

                Text_Line_07_Input.setTextColor(TextColor_Normal);
                Text_Line_08_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_09) {
                Text_Line_09_Input.setText(strText_Line_09_Input);

                Text_Line_08_Input.setTextColor(TextColor_Normal);
                Text_Line_09_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_10) {
                Text_Line_10_Input.setText(strText_Line_10_Input);

                Text_Line_09_Input.setTextColor(TextColor_Normal);
                Text_Line_10_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_11) {
                Text_Line_11_Input.setText(strText_Line_11_Input);

                Text_Line_10_Input.setTextColor(TextColor_Normal);
                Text_Line_11_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_12) {
                Text_Line_12_Input.setText(strText_Line_12_Input);

                Text_Line_11_Input.setTextColor(TextColor_Normal);
                Text_Line_12_Input.setTextColor(TextColor_Highlight);
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] updateScreen() : " + e);
            e.printStackTrace();
        }
    }

    public POSITION getPosition(int nID) {
//        LOG("[getPosition] Start!!");
        POSITION position = new POSITION();
        position.SetPosition(0, 0, 480, 272);
        try {
            switch (nID) {
                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.IMAGES.BACKGROUND:
                    position.SetPosition(0, 0, 480, 272);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.TITLE:
                    position.SetPosition(0, 24, 480, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Item:
                    position.SetPosition(30, 84, 165, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Item:
                    position.SetPosition(30, 134, 165, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Item:
                    position.SetPosition(30, 184, 165, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Item:
                    position.SetPosition(105, 84, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Item:
                    position.SetPosition(205, 84, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Item:
                    position.SetPosition(275, 84, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Item:
                    position.SetPosition(345, 84, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Item:
                    position.SetPosition(415, 84, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Item:
                    position.SetPosition(105, 134, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Item:
                    position.SetPosition(205, 134, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Item:
                    position.SetPosition(275, 134, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Item:
                    position.SetPosition(345, 134, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_13_Item:
                    position.SetPosition(415, 134, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_14_Item:
                    position.SetPosition(105, 184, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_15_Item:
                    position.SetPosition(205, 184, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_16_Item:
                    position.SetPosition(275, 184, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_17_Item:
                    position.SetPosition(345, 184, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_18_Item:
                    position.SetPosition(415, 184, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_01_Input:
                    position.SetPosition(145, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_02_Input:
                    position.SetPosition(215, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_03_Input:
                    position.SetPosition(285, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_04_Input:
                    position.SetPosition(355, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_05_Input:
                    position.SetPosition(145, 134, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_06_Input:
                    position.SetPosition(215, 134, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_07_Input:
                    position.SetPosition(285, 134, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_08_Input:
                    position.SetPosition(355, 134, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_09_Input:
                    position.SetPosition(145, 184, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_10_Input:
                    position.SetPosition(215, 184, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_11_Input:
                    position.SetPosition(285, 184, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_SETTING_SETIPMANUALLY.ELEMENTS.TEXTS.LINE_12_Input:
                    position.SetPosition(355, 184, 60, 40);
                    return position;

                default:
                    return position;
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] getPosition() : " + e);
            e.printStackTrace();
            return position;
        }
    }

    private boolean setIPManually(String IP_01, String IP_02, String IP_03, String IP_04, String SM_01, String SM_02, String SM_03, String SM_04, String GW_01, String GW_02, String GW_03, String GW_04) {
        try {
            LOG_INFO("[setIPManually] IP [" + IP_01 + "." + IP_02 + "." + IP_03 + "." + IP_04 + "]");
            LOG_INFO("[setIPManually] SM [" + SM_01 + "." + SM_02 + "." + SM_03 + "." + SM_04 + "]");
            LOG_INFO("[setIPManually] GW [" + GW_01 + "." + GW_02 + "." + GW_03 + "." + GW_04 + "]");
            String strIP = "", strSM = "", strGW = "";
            strIP = IP_01.trim() + "." + IP_02.trim() + "." + IP_03.trim() + "." + IP_04.trim();
            strSM = SM_01.trim() + "." + SM_02.trim() + "." + SM_03.trim() + "." + SM_04.trim();
            strGW = GW_01.trim() + "." + GW_02.trim() + "." + GW_03.trim() + "." + GW_04.trim();
            LOG_INFO("[setIPManually] strIP [" + strIP + "]");
            LOG_INFO("[setIPManually] strSM [" + strSM + "]");
            LOG_INFO("[setIPManually] strGW [" + strGW + "]");

            ConfigValue.strDeviceIPAddress = strIP;
            ConfigValue.strSubnetmask = strSM;
            ConfigValue.strGatewayIPAddress = strGW;

            if (!MainActivity.ConfigDBManager.setData(Declare.DBInfo.TABLE_NAME_CONFIG, ConfigValKey.DeviceIPAddress, ConfigValue.strDeviceIPAddress))
                return false;
            if (!MainActivity.ConfigDBManager.setData(Declare.DBInfo.TABLE_NAME_CONFIG, ConfigValKey.Subnetmask, ConfigValue.strSubnetmask))
                return false;
            if (!MainActivity.ConfigDBManager.setData(Declare.DBInfo.TABLE_NAME_CONFIG, ConfigValKey.GatewayIPAddress, ConfigValue.strGatewayIPAddress))
                return false;

            return EthernetCtrl.setDeviceNetInterface(mContext, ConfigValue.strDeviceIPAddress, ConfigValue.strSubnetmask, ConfigValue.strGatewayIPAddress,
                    ConfigValue.strDNSIPAddress, EthernetCtrl.makeMACAddress(ConfigValue.strDeviceIPAddress));
        } catch (Exception e) {
            Log.e(TAG, "[Exception] setIPManually(...)");
            e.printStackTrace();
            return false;
        }
    }

    private void setInitValue() {
        try {
            String[] Parse_IP = ConfigValue.strDeviceIPAddress.split("\\.");
            String[] Parse_SM = ConfigValue.strSubnetmask.split("\\.");
            String[] Parse_GW = ConfigValue.strGatewayIPAddress.split("\\.");

            Temp_01_Input = Parse_IP[0].trim();
            Temp_02_Input = Parse_IP[1].trim();
            Temp_03_Input = Parse_IP[2].trim();
            Temp_04_Input = Parse_IP[3].trim();
            Temp_05_Input = Parse_SM[0].trim();
            Temp_06_Input = Parse_SM[1].trim();
            Temp_07_Input = Parse_SM[2].trim();
            Temp_08_Input = Parse_SM[3].trim();
            Temp_09_Input = Parse_GW[0].trim();
            Temp_10_Input = Parse_GW[1].trim();
            Temp_11_Input = Parse_GW[2].trim();
            Temp_12_Input = Parse_GW[3].trim();

            strText_Line_01_Input = Temp_01_Input;
            strText_Line_02_Input = Temp_02_Input;
            strText_Line_03_Input = Temp_03_Input;
            strText_Line_04_Input = Temp_04_Input;
            strText_Line_05_Input = Temp_05_Input;
            strText_Line_06_Input = Temp_06_Input;
            strText_Line_07_Input = Temp_07_Input;
            strText_Line_08_Input = Temp_08_Input;
            strText_Line_09_Input = Temp_09_Input;
            strText_Line_10_Input = Temp_10_Input;
            strText_Line_11_Input = Temp_11_Input;
            strText_Line_12_Input = Temp_12_Input;

        } catch (Exception e) {
            Log.e(TAG, "[Exception] setInitValue()");
            e.printStackTrace();
        }
    }

    private boolean checkValueValidity(String value) {
        try {
            int nValue = Integer.parseInt(value);
            if (nValue < 0 || 255 < nValue) return false;
            return true;
        } catch (Exception e) {
            Log.e(TAG, "[Exception] setInitValue()");
            e.printStackTrace();
            return false;
        }
    }


}
